Subject: bug#36237: Support (rx (and (regexp EXPR) (regexp-quote EXPR)))

From: Michael Heerdegen <[email-masked]>
Date: Sun, 16 Jun 2019 02:03:40 +0200

Noam Postavsky <[email-masked]> writes:

> +---
> +*** 'regexp' and new 'regexp-quote' accept arbirtray lisp as arguments.
                                              ^^^^^^^^^ (typo)

Cool.

I only wondered whether it wouldn't have been better if `eval' would
have been upgraded - but that wouldn't be able to regexp-quote when I
wanted it, right?

Does it make sense to keep `eval'?  There are so many rx-form types,
would be good if we could make it obsolete (in some sense).

Michael.